KProcessController Class Reference

`#include <kprocctrl.h>`

Inherits QObject.

## Public Member Functions

bool | waitForProcessExit (int timeout)
void | unscheduleCheck ()
void | rescheduleCheck ()
int | notifierFd () const
void | addKProcess (KProcess *)
void | removeKProcess (KProcess *)
void | addProcess (int pid)

## Static Public Member Functions

static void | ref ()
static void | deref ()
static void | theSigCHLDHandler (int signal)

## Static Public Attributes

static KProcessController * | theKProcessController

## Friends

class | I_just_love_gcc

## Detailed Description

Used internally by KProcess.

Definition at line 39 of file kprocctrl.h.

## Member Function Documentation

void KProcessController::deref | ( |  | ) |

static

Destroy the instance if one exists and it is not referenced any more.

Called by KApplication::~KApplication()

Definition at line 48 of file kprocctrl.cpp.

void KProcessController::ref | ( |  | ) |

static

Create an instance if none exists yet.

Called by KApplication::KApplication()

Definition at line 39 of file kprocctrl.cpp.

void KProcessController::rescheduleCheck | ( |  | ) |

This function must be called at some point after calling unscheduleCheck().

Since
  3.2

Definition at line 178 of file kprocctrl.cpp.

void KProcessController::theSigCHLDHandler | ( | int | signal | ) |

static

Automatically called upon SIGCHLD.

Never call it directly. If your application (or some library it uses) redirects SIGCHLD, the new signal handler (and only it) should call the old handler returned by sigaction().

Definition at line 147 of file kprocctrl.cpp.

void KProcessController::unscheduleCheck | ( |  | ) |

Call this function to defer processing of the data that became available on notifierFd().

Since
  3.2

Definition at line 170 of file kprocctrl.cpp.

bool KProcessController::waitForProcessExit | ( | int | timeout | ) |

Wait for any process to exit and handle their exit without starting an event loop.

This function may cause KProcess to emit any of its signals.

Parameters

  timeout | the timeout in seconds. -1 means no timeout.

Returns
  true if a process exited, false if no process exited within `timeout` seconds.

Since
  3.1

Definition at line 223 of file kprocctrl.cpp.

## Member Data Documentation

KProcessController * KProcessController::theKProcessController

static

Only a single instance of this class is allowed at a time, and this static variable is used to track the one instance.

Definition at line 60 of file kprocctrl.h.

The documentation for this class was generated from the following files:

- kprocctrl.h
- kprocctrl.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys